List connector sync events
curl --request GET \
--url http://api.den.local/v1/connector-sync-eventsimport requests
url = "http://api.den.local/v1/connector-sync-events"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('http://api.den.local/v1/connector-sync-events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"attemptCount": 4503599627370495,
"connectorInstanceId": "<string>",
"connectorTargetId": "<string>",
"connectorType": "github",
"remoteId": "<string>",
"eventType": "push",
"externalEventRef": "<string>",
"sourceRevisionRef": "<string>",
"nextAttemptAt": "2023-11-07T05:31:56Z",
"status": "pending",
"summaryJson": {
"createdCount": 4503599627370495,
"updatedCount": 4503599627370495,
"deletedCount": 4503599627370495,
"skippedCount": 4503599627370495,
"failedCount": 4503599627370495,
"failures": [
{}
]
},
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"error": "invalid_request",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
],
"capability": "<string>"
}{
"error": "unauthorized"
}Connectors
List connector sync events
Lists connector sync events visible to the current member.
GET
/
v1
/
connector-sync-events
List connector sync events
Query Parameters
Required string length:
1 - 255Required range:
1 <= x <= 100Den TypeID with 'cin_' prefix and a 26-character base32 suffix.
Required string length:
30Den TypeID with 'ctg_' prefix and a 26-character base32 suffix.
Required string length:
30Available options:
push, installation, installation_repositories, repository, manual_resync Available options:
pending, queued, running, completed, failed, partial, ignored Required string length:
1 - 255Was this page helpful?